rte_port_sym_crypto_writer_params(3)

NAME
rte_port_sym_crypto_writer_params

SYNOPSIS

#include <rte_port_sym_crypto.h>

  Data Fields

uint8_t cryptodev_id
uint16_t queue_id
uint16_t crypto_op_offset
uint32_t tx_burst_sz

Detailed Description

Crypto_writer port parameters.

Definition at line 50 of file rte_port_sym_crypto.h.

Field Documentation

  uint8_t cryptodev_id
Target cryptodev ID.

Definition at line 52 of file rte_port_sym_crypto.h.

  uint16_t queue_id
Target cryptodev Queue Pair ID.

Definition at line 55 of file rte_port_sym_crypto.h.

  uint16_t crypto_op_offset
offset to rte_crypto_op in the mbufs.

Definition at line 58 of file rte_port_sym_crypto.h.

  uint32_t tx_burst_sz
Burst size to crypto interface.

Definition at line 61 of file rte_port_sym_crypto.h.

Author

Generated automatically by Doxygen for DPDK from the source code.